-- vim:nowrap


local S = ladders_3d.translator
local mass_register = ladders_3d.mass_register


mass_register({
    groups = {
        choppy = 2,
        flammable = 2,
        oddly_breakable_by_hand = 3
    },
    shading = 64,
    ladders = {
        naturalbiomes_alder_wood       = { S('Alder Wood Ladder'),              'naturalbiomes:alder_wood',       'naturalbiomes_alderswamp_alder_wood.png^[transformR270' },
        naturalbiomes_heath_birch_wood = { S('Silver Birch Wood Ladder'),       'naturalbiomes:heath_birch_wood', 'naturalbiomes_heath_birch_wood.png^[transformR90'       },
        naturalbiomes_olive_wood       = { S('Olive Wood Ladder'),              'naturalbiomes:olive_wood',       'naturalbiomes_mediterran_olive_wood.png^[transformR90'  },
        naturalbiomes_pine_wood        = { S('Mediterranean Pine Wood Ladder'), 'naturalbiomes:pine_wood',        'naturalbiomes_mediterran_pine_wood.png^[transformR90'   }
    }
})
